1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

EU doesnt support Windows 2000 anymore.

Discussion in 'General Entropia Universe Discussion' started by Shim, Jan 31, 2008.

Tags:
  1. I dont know if anyone caught it but EU apparently doesnot support Windows 2000 anymore. This doesnt really come as a supprise to me because ive been having problems running EU on 2k since 9.1. Anyway as of this latest Version Windows 2000 has the nice little red X after in in the requirements section. And the min requirements now says Windows XP or later (Vista not supported yet). So if ya dont got XP your gona have troubles playing EU.
     
    • Like Like x 10

Share This Page